Update user settings
curl --request PUT \
--url https://api.justanotheruptime.com/users/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"settings": {
"timezone": "<string>",
"notifications": {
"email": true,
"slack": true,
"discord": true,
"teams": true,
"webhook": true
},
"emailConfig": {},
"slackConfig": {},
"discordConfig": {},
"teamsConfig": {},
"webhookConfig": {}
}
}
'import requests
url = "https://api.justanotheruptime.com/users/settings"
payload = { "settings": {
"timezone": "<string>",
"notifications": {
"email": True,
"slack": True,
"discord": True,
"teams": True,
"webhook": True
},
"emailConfig": {},
"slackConfig": {},
"discordConfig": {},
"teamsConfig": {},
"webhookConfig": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
settings: {
timezone: '<string>',
notifications: {email: true, slack: true, discord: true, teams: true, webhook: true},
emailConfig: {},
slackConfig: {},
discordConfig: {},
teamsConfig: {},
webhookConfig: {}
}
})
};
fetch('https://api.justanotheruptime.com/users/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timezone": "<string>",
"notifications": {
"email": true,
"slack": true,
"discord": true,
"teams": true,
"webhook": true
},
"emailConfig": {},
"slackConfig": {},
"discordConfig": {},
"teamsConfig": {},
"webhookConfig": {}
}Users
Update user settings
PUT
/
users
/
settings
Update user settings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
The settings have been successfully updated.
Available options:
en, es, fr, de, it, pt, ru, zh, ja, ko Available options:
light, dark Show child attributes
Show child attributes
Available options:
email, slack, discord, teams, webhook ⌘I